Introducing VIDA Identity Stack: All of VIDA, in one place 🎉
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Signer is not verified by VIDA

Description

If the client already has an existing authoritative source connection to verify the signers — for example: direct connection or existing KYC provider — the client can use Registration API to register the pre-verified signer.

The usage of this API is strictly defined by Registration Authoritity assessment & agreement. Please contact VIDA team for more details.

  1. The API below will generate an identifier registrationId for the pre-verified user, which will be used for DirectSign digital signature using Komdigi-rooted certificate.

  2. After a successful Registration, please refer to Create Envelope with Document Upload for signing document using DirectSign API


API Authentication

Please refer to API Authentication for getting API Token access


Registration API

API Endpoint

POST https://{{environment_url}/main/v2/services/ra

Request Body

Name
Type
Mandatory?
Description

partnerTrxId

String

Yes

Client-provided unique signer identifier This identifier should ideally be kept the same with the client's own user identifier. partnerTrxId will be used to in Get Registration IDGet Transaction DetailsAPI

mobile

String

Yes

The signer's phone number Format:

email

String

Yes*

The signer's email address If the client do verify the signer's email address, then this field is mandatory. Otherwise, this field should be left blank

govId

String

Yes

The signer's government ID / NIK

govIdType

String

Yes

The government ID type (eg: KTP)

fullName

String

Yes

The signer's full name

dob

String

Yes

The signer's date of birth

selfiePhoto

String

Yes

The signer's liveness-accepted selfie photo Base64 of XXX file extension Minimum size: Maximum size:

idCardPhoto

String

No

The signer's ID Card photo Base64 of XXX file extension Minimum size: Maximum size:

motherMaidenName

String

No

The signer's mother maiden name

pob

String

No

The signer's place of birth

address

String

No

The signer's address

village

String

No

The signer's village address

district

String

No

The signer's district address

city

String

No

The signer's city address

province

String

No

The signer's province address

consent

Array

Yes

Consent collection

consent.consentedAt

String

Yes

The timestamp (in epoch) of when the user's consent is collected

consent.consentGiven

Boolean

Yes

Consent status (true)

Response Body

Success


Get Registration ID

API Endpoint

GET https://{{environment_url}/main/v2/services/ra/<partnerTrxId>/user

Response Body

Success


Get Transaction Details

API Endpoint

GET https://{{environment_url}/main/v2/services/ra/<partnerTrxId>/transaction-detail

Response Body

Success


Verify by Submitting

Request - Without Mobile Number

Request - Without DOB

Request - Without FullName

Request - Without Selfie

Request - Without Gov ID

Verify if User Exists

fullName has changed

DOB has changed

FullName, Email has changed

FullName, MMN has changed

Check external RA user

Check VIDA RA user

Last updated